
Map = require("map")

w, h, f = love.window.getMode()

camera = require("camera")
player = require("player")
mouse = require("mouse")


function love.load()
    g = love.graphics
    -- pixel art
    love.graphics.setDefaultFilter("nearest")
    love.graphics.setLineStyle("rough")
    
end
function love.update(dt)

    
    tile_size = {32/camera.scale, 16/camera.scale} 
    -- TODO create a table that stocks all camera affected objects
      
    camera:update() --tile size is changed by camera
    player:update()
    mouse:update(Map)
   print("player : ", player.x+2, player.y+2, player.h) -- debug
   print("camera :", camera.x, camera.y, camera.scale) -- debug
   print("Fps    :", love.timer.getFPS()) -- debug
    
end
function love.draw()
    
    love.graphics.setColor(0.8, 0.7, 1)
    love.graphics.rectangle("fill", 0, 0, w, h)
    love.graphics.setColor(1, 1, 1)
    
    Map:draw(camera, tile_size)
    
    mouse.draw()
    player:draw()
    
end