local mouse = {}

mouse = {}
mouse.x = 0
mouse.y = 0
mouse.maptile = {}--the tile the mouse is on
mouse.mapsprite = love.graphics.newImage("assets/tiles/mouse.png")

function mouse:Collision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end

function mouse:update(Map)
    mouse.x, mouse.y = love.mouse.getPosition()
    
    for line=1, Map.wandh[1] do
        for column= 1, Map.wandh[2] do
            
            local x =  (column - line)* tile_size[1]/2
            local y =  (column+1 + line+1)* tile_size[2]/2
            
            if mouse:Collision(mouse.x, mouse.y, 5, 5, x + camera.x , (y - Map.heightmap[line][column] * tile_size[2]/2)+ camera.y  , tile_size[1], tile_size[2]) then
                
                local rx = x + camera.x
                local ry =  (y - Map.heightmap[line][column] * tile_size[2]/2) + camera.y
                mouse.maptile = {rx=rx, ry=ry, x=column, y=line} -- used for the map
                
            end
        end
    end
    
    -- on click logic
     if love.mouse.isDown(1) then
        print("Clicked at "..mouse.maptile.x..":"..mouse.maptile.y)
        if mouse:Collision(mouse.x, mouse.y, 10, 10, player.rx, player.ry, player.size[1], player.size[2]) then
            print("clicked at player at "..(player.x+2)..":"..player.y+2)
            player.clickedon = true
            player.ValidSpaces(player.x, player.y, 0, player.move)
        else
            player.clickedon = false
        end
    elseif love.mouse.isDown(2) then
        player.resetValidMove()
    end
    
end
function mouse.draw()
    if mouse.maptile.rx ~= nil then
        
      love.graphics.draw(mouse.mapsprite, mouse.maptile.rx, mouse.maptile.ry)
    end
end

return mouse

