local perlin = {}

function perlin:lerp( a0,  a1,  w) 
     return (1.0 - w)*a0 + w*a1

 end
 function perlin:dotGridGradient(g, ix,  iy,  x,  y) 
 
      dx = x - ix
      dy = y - iy
 
     return (dx*g[iy][ix][1] + dy*g[iy][ix][2])
 end
 
 function perlin:perlun() 
    x = 7-- temporary values
    y = 8 
    g ={ {{1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}},
    {{1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}},
    {{1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}},
    {{1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}, {1, 1, 1, 1, 1, 1}}}
      x0 = math.floor(x)
      x1 = x0 + 1
      y0 = math.floor(y)
      y1 = y0 + 1
 
      sx = x - x0
      sy = y - y0
        
     n0 = perlin:dotGridGradient(g,x0, y0, x, y)
     n1 = perlin:dotGridGradient(g,x1, y0, x, y)
     ix0 = perlin:lerp(n0, n1, sx)
     n0 = perlin:dotGridGradient(g,x0, y1, x, y)
     n1 = perlin:dotGridGradient(g,x1, y1, x, y)
     ix1 = perlin:lerp(n0, n1, sx)
     value = perlin:lerp(ix0, ix1, sy)
 
     return value
 end
    return perlin